# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_XLinkRoot Class Reference

This attribute is the root of all external
references contained in a Data from TDF. Only one
instance of this class is added to the TDF_Data
root label. Starting from this attribute all the
Reference are linked together, to be found
easely.
.

`#include <TDocStd_XLinkRoot.hxx>`

Inheritance diagram for TDocStd_XLinkRoot:

[legend]

## Public Member Functions

Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT Handle_TDF_Attribute | BackupCopy () const
| Returns a null handle. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&anAttribute)
| Does nothing. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns a null handle. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&intoAttribute, const Handle(TDF_RelocationTable)&aRelocationTable) const
| Does nothing. .
Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the attribute on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| Returns the ID: 2a96b61d-ec8b-11d0-bee7-080009dc3333 .
static Standard_EXPORT Handle_TDocStd_XLinkRoot | Set (const Handle(TDF_Data)&aDF)
| Sets an empty XLinkRoot to Root or gets the existing one. Only one attribute per TDF_Data. .
static Standard_EXPORT void | Insert (const TDocStd_XLinkPtr &anXLinkPtr)
| Inserts <anxlinkptr> at the beginning of the XLink chain. .
static Standard_EXPORT void | Remove (const TDocStd_XLinkPtr &anXLinkPtr)
| Removes <anxlinkptr> from the XLink chain, if it exists. .

## Private Member Functions

Standard_EXPORT | TDocStd_XLinkRoot ()
| Initializes fields. .
void | First (const TDocStd_XLinkPtr &anXLinkPtr)
| Sets the field <myfirst> with <anxlinkptr>. .
TDocStd_XLinkPtr | First () const
| Returns the contents of the field <myfirst>. .

## Private Attributes

TDocStd_XLinkPtr | myFirst

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_XLinkRoot::TDocStd_XLinkRoot | ( |  | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Handle_TDF_Attribute TDocStd_XLinkRoot::BackupCopy | ( |  | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_OStream& TDocStd_XLinkRoot::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

TDocStd_XLinkPtr TDocStd_XLinkRoot::First | ( |  | ) | const`[inline, private]`

void TDocStd_XLinkRoot::First | ( | const TDocStd_XLinkPtr & | anXLinkPtr | ) | `[inline, private]`

static Standard_EXPORT const Standard_GUID& TDocStd_XLinkRoot::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDocStd_XLinkRoot::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDocStd_XLinkRoot::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT void TDocStd_XLinkRoot::Insert | ( | const TDocStd_XLinkPtr & | anXLinkPtr | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TDocStd_XLinkRoot::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDocStd_XLinkRoot::Paste | ( | const Handle(TDF_Attribute)& | intoAttribute,
|  | const Handle(TDF_RelocationTable)& | aRelocationTable
| ) | const`[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT void TDocStd_XLinkRoot::Remove | ( | const TDocStd_XLinkPtr & | anXLinkPtr | ) | `[static]`

Standard_EXPORT void TDocStd_XLinkRoot::Restore | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDocStd_XLinkRoot TDocStd_XLinkRoot::Set | ( | const Handle(TDF_Data)& | aDF | ) | `[static]`

## Field Documentation

TDocStd_XLinkPtr TDocStd_XLinkRoot::myFirst `[private]`

The documentation for this class was generated from the following files:

- TDocStd_XLinkRoot.hxx
- TDocStd_XLinkRoot.lxx